apiVersion: v1
kind: ServiceAccount
metadata:
  name: prop
  namespace: prop
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: prop-pod-reader
  namespace: prop
rules:
  - apiGroups: [""]
    resources: ["pods"]
    verbs: ["get", "list"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: prop-pod-reader
  namespace: prop
subjects:
  - kind: ServiceAccount
    name: prop
    namespace: prop
roleRef:
  kind: Role
  name: prop-pod-reader
  apiGroup: rbac.authorization.k8s.io
